欢迎光临
我们一直在努力

解决升级PHPmake: *** No rule to make target `install’. Stop.的问题

今天发现PHP7.3已经有7.3.13版本了,而我博客的版本还是7.3.10,所以,为了更好的安全性就决定把php升级到最新的版本。其实,oneinstack升级php版本很简单,因为已经自带了升级的程序,只需进入到oneinstack的目录,然后./upgrade,选择升级php的选项即可。

升级一会就完成了,提示成功升级到了7.3.13。但是看了下php的版本还是7.3.10。看了下上面的代码,显示make: *** No rule to make target `install’. Stop.。虽然我也是菜鸟一枚,但是也看出是在编译的过程中出现了问题,导致编译不成功的。

百度上搜了一下,各种的回答,Google了一下,发现可能是安装包没有下全造成的,于是重新wget下载安装包,很快看出原因了,10k的下载速度,下了一会竟然断线了,?。

然后想出来了另外一个办法,本地下载,由于有梯子下载的很快,然后通过FTP传到src的目录了,然后运行./upgrade。编译了十来分钟,终于升级成功了。

赞(0) 打赏
未经允许不得转载:流金岁月 » 解决升级PHPmake: *** No rule to make target `install’. Stop.的问题
分享到: 更多 (0)

评论 6

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址
  1. #0

    版本控,我用最新php7.4

    简单生活8个月前 (01-22)回复
  2. #0

    最新版本还是好!

    演员8个月前 (01-19)回复
    • 我是升级狂人,?,强迫症,没办法

      跋涉者8个月前 (01-19)回复
  3. #0

    不想升级,不想折腾,除非大版本!

    山野愚人居8个月前 (01-18)回复

镜缘轩眼镜商城

联系我们联系我们

觉得文章有用就打赏一下文章作者

支付宝扫一扫打赏

微信扫一扫打赏